#ifndef MAT_COOKIE
#define MAT_COOKIE 32456123
#endif

//---- @interface section ----

@interface material_t: NSObject	// Class: Parent
{
  int       cookie;
  NSString *name;
  pixel_t  *ambient;
  pixel_t  *diffuse;
  pixel_t  *specular;
}

// + class methods

// - instance methods
  // constructors (overloaded)
- (id) init;

  // accessor/mutator
- (NSString *) setname: (NSString *)_name;
- (pixel_t *)  setambn: (pixel_t *)_ambn;
- (pixel_t *)  setdiff: (pixel_t *)_diff;
- (pixel_t *)  setspec: (pixel_t *)_spec;
- (NSString *) getname;
- (pixel_t *)  getambn;
- (pixel_t *)  getdiff;
- (pixel_t *)  getspec;
- (int) getcookie;

  // operators

  // members
- (bool) matches: (NSString *) _name;
- (void) read: (FILE *) _file;
- (void) write: (FILE *) _file;

@end
